| libmp3splt 0.9.2 Lossless library for splitting audio formats like mp3, ogg vorbis and FLAC. |

Macros | Enumerations | Functions
Options
Using libmp3splt

## Macros
#define | SPLT_DEFAULT_PARAM_THRESHOLD -48.0
#define | SPLT_DEFAULT_PARAM_OFFSET 0.8
#define | SPLT_DEFAULT_PARAM_MINIMUM_LENGTH 0.0
#define | SPLT_DEFAULT_PARAM_MINIMUM_TRACK_LENGTH 0.0
#define | SPLT_DEFAULT_PARAM_MIN_TRACK_JOIN 0.0
#define | SPLT_DEFAULT_PARAM_GAP 30
#define | SPLT_DEFAULT_PARAM_TRACKS 0
#define | SPLT_DEFAULT_PARAM_SHOTS 25
#define | SPLT_DEFAULT_KEEP_SILENCE_LEFT 0
#define | SPLT_DEFAULT_KEEP_SILENCE_RIGHT 0
#define | SPLT_DEFAULT_OUTPUT "@f_@mm_@ss_@h0h__@Mm_@Ss_@H0h"
#define | SPLT_DEFAULT_CDDB_CUE_OUTPUT "@A - @n - @t"
#define | SPLT_DEFAULT_SYNCERROR_OUTPUT "@f_error_@n"
#define | SPLT_DEFAULT_SILENCE_OUTPUT "@f_silence_@n"
#define | SPLT_DEFAULT_TRIM_SILENCE_OUTPUT "@f_trimmed"

## Enumerations
enum | splt_options { SPLT_OPT_PRETEND_TO_SPLIT = 1, SPLT_OPT_QUIET_MODE, SPLT_OPT_DEBUG_MODE, SPLT_OPT_SPLIT_MODE, SPLT_OPT_TAGS, SPLT_OPT_XING, SPLT_OPT_CREATE_DIRS_FROM_FILENAMES, SPLT_OPT_OUTPUT_FILENAMES, SPLT_OPT_FRAME_MODE, SPLT_OPT_AUTO_ADJUST, SPLT_OPT_INPUT_NOT_SEEKABLE, SPLT_OPT_PARAM_NUMBER_TRACKS, SPLT_OPT_PARAM_SHOTS, SPLT_OPT_PARAM_REMOVE_SILENCE, SPLT_OPT_PARAM_GAP, SPLT_OPT_ENABLE_SILENCE_LOG, SPLT_OPT_FORCE_TAGS_VERSION, SPLT_OPT_LENGTH_SPLIT_FILE_NUMBER, SPLT_OPT_REPLACE_TAGS_IN_TAGS, SPLT_OPT_OVERLAP_TIME, SPLT_OPT_SPLIT_TIME, SPLT_OPT_PARAM_THRESHOLD, SPLT_OPT_PARAM_OFFSET, SPLT_OPT_PARAM_MIN_LENGTH, SPLT_OPT_PARAM_MIN_TRACK_LENGTH, SPLT_OPT_PARAM_MIN_TRACK_JOIN, SPLT_OPT_ARTIST_TAG_FORMAT, SPLT_OPT_ALBUM_TAG_FORMAT, SPLT_OPT_TITLE_TAG_FORMAT, SPLT_OPT_COMMENT_TAG_FORMAT, SPLT_OPT_REPLACE_UNDERSCORES_TAG_FORMAT, SPLT_OPT_SET_FILE_FROM_CUE_IF_FILE_TAG_FOUND, SPLT_OPT_KEEP_SILENCE_LEFT, SPLT_OPT_KEEP_SILENCE_RIGHT, SPLT_OPT_CUE_SET_SPLITPOINT_NAMES_FROM_REM_NAME, SPLT_OPT_CUE_DISABLE_CUE_FILE_CREATED_MESSAGE, SPLT_OPT_CUE_CDDB_ADD_TAGS_WITH_KEEP_ORIGINAL_TAGS, SPLT_OPT_ID3V2_ENCODING, SPLT_OPT_INPUT_TAGS_ENCODING, SPLT_OPT_TIME_MINIMUM_THEORETICAL_LENGTH, SPLT_OPT_WARN_IF_NO_AUTO_ADJUST_FOUND, SPLT_OPT_STOP_IF_NO_AUTO_ADJUST_FOUND, SPLT_OPT_DECODE_AND_WRITE_FLAC_MD5SUM_FOR_CREATED_FILES, SPLT_OPT_HANDLE_BIT_RESERVOIR }
enum | splt_split_mode_options { SPLT_OPTION_NORMAL_MODE, SPLT_OPTION_WRAP_MODE, SPLT_OPTION_SILENCE_MODE, SPLT_OPTION_TRIM_SILENCE_MODE, SPLT_OPTION_ERROR_MODE, SPLT_OPTION_TIME_MODE, SPLT_OPTION_LENGTH_MODE }
enum | splt_id3v2_encoding { SPLT_ID3V2_LATIN1, SPLT_ID3V2_UTF8, SPLT_ID3V2_UTF16 }
enum | splt_output_filenames_options { SPLT_OUTPUT_FORMAT, SPLT_OUTPUT_DEFAULT, SPLT_OUTPUT_CUSTOM }
enum | splt_tags_options { SPLT_TAGS_ORIGINAL_FILE, SPLT_CURRENT_TAGS, SPLT_NO_TAGS, SPLT_TAGS_FROM_FILENAME_REGEX }
enum | splt_str_format { SPLT_NO_CONVERSION, SPLT_TO_LOWERCASE, SPLT_TO_UPPERCASE, SPLT_TO_FIRST_UPPERCASE, SPLT_TO_WORD_FIRST_UPPERCASE }

## Functions
splt_code | mp3splt_set_int_option (splt_state *state, splt_options option, int value)
splt_code | mp3splt_set_long_option (splt_state *state, splt_options option, long value)
splt_code | mp3splt_set_float_option (splt_state *state, splt_options option, float value)
int | mp3splt_get_int_option (splt_state *state, splt_options option, splt_code *error)
long | mp3splt_get_long_option (splt_state *state, splt_options option, splt_code *error)
float | mp3splt_get_float_option (splt_state *state, splt_options option, splt_code *error)
splt_code | mp3splt_set_oformat (splt_state *state, const char *format)

## Detailed Description

## Macro Definition Documentation

#define SPLT_DEFAULT_PARAM_THRESHOLD -48.0

Default value for the SPLT_OPT_PARAM_THRESHOLD option.

Definition at line 804 of file mp3splt.h.

#define SPLT_DEFAULT_PARAM_OFFSET 0.8

Default value for the SPLT_OPT_PARAM_OFFSET option.

Definition at line 808 of file mp3splt.h.

#define SPLT_DEFAULT_PARAM_MINIMUM_LENGTH 0.0

Default value for the SPLT_OPT_PARAM_MIN_LENGTH option.

Definition at line 812 of file mp3splt.h.

#define SPLT_DEFAULT_PARAM_MINIMUM_TRACK_LENGTH 0.0

Default value for the SPLT_OPT_PARAM_MIN_TRACK_LENGTH option.

Definition at line 816 of file mp3splt.h.

#define SPLT_DEFAULT_PARAM_MIN_TRACK_JOIN 0.0

Default value for the SPLT_OPT_PARAM_MIN_TRACK_JOIN option.

Definition at line 820 of file mp3splt.h.

#define SPLT_DEFAULT_PARAM_GAP 30

Default value for the SPLT_OPT_PARAM_GAP option.

Definition at line 824 of file mp3splt.h.

#define SPLT_DEFAULT_PARAM_TRACKS 0

Default value for the SPLT_OPT_PARAM_NUMBER_TRACKS option.

Definition at line 828 of file mp3splt.h.

#define SPLT_DEFAULT_PARAM_SHOTS 25

Default value for the SPLT_OPT_PARAM_SHOTS option.

Definition at line 832 of file mp3splt.h.

#define SPLT_DEFAULT_KEEP_SILENCE_LEFT 0

Default value for the SPLT_OPT_KEEP_SILENCE_LEFT option.

Definition at line 836 of file mp3splt.h.

#define SPLT_DEFAULT_KEEP_SILENCE_RIGHT 0

Default value for the SPLT_OPT_KEEP_SILENCE_RIGHT option.

Definition at line 840 of file mp3splt.h.

#define SPLT_DEFAULT_OUTPUT "@f_@mm_@ss_@h0h__@Mm_@Ss_@H0h"

Default output for SPLT_OPTION_NORMAL_MODE when using SPLT_OUTPUT_DEFAULT.

See also
  mp3splt_set_oformat

Definition at line 868 of file mp3splt.h.

#define SPLT_DEFAULT_CDDB_CUE_OUTPUT "@A - @n - @t"

Output filename format for CDDB and CUE when using SPLT_OUTPUT_DEFAULT.

See also
  mp3splt_set_oformat, SPLT_OPT_OUTPUT_FILENAMES

Definition at line 874 of file mp3splt.h.

#define SPLT_DEFAULT_SYNCERROR_OUTPUT "@f_error_@n"

Output filename format for SPLT_OPTION_ERROR_MODE when using SPLT_OUTPUT_DEFAULT.

See also
  mp3splt_set_oformat, SPLT_OPT_OUTPUT_FILENAMES

Definition at line 879 of file mp3splt.h.

#define SPLT_DEFAULT_SILENCE_OUTPUT "@f_silence_@n"

Output filename format for SPLT_OPTION_SILENCE_MODE when using SPLT_OUTPUT_DEFAULT.

See also
  mp3splt_set_oformat, SPLT_OPT_OUTPUT_FILENAMES

Definition at line 884 of file mp3splt.h.

#define SPLT_DEFAULT_TRIM_SILENCE_OUTPUT "@f_trimmed"

Default output for the trim silence split.

See also
  mp3splt_set_oformat, SPLT_OPT_OUTPUT_FILENAMES

Definition at line 889 of file mp3splt.h.

## Enumeration Type Documentation

enum splt_options

Split options.

Use mp3splt_set_int_option, mp3splt_set_long_option and mp3splt_set_float_option to set those options.

Use mp3splt_get_int_option, mp3splt_get_long_option and mp3splt_get_float_option to get those options.

Enumerator
SPLT_OPT_PRETEND_TO_SPLIT | Pretend to split the file, without actually creating output files. This option works in all modes except error mode and dewrap split. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_QUIET_MODE | If quiet return less messages and don't do mp3 CRC check. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_DEBUG_MODE | If we return debug messages or not. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_SPLIT_MODE | The type of the split. Int option that can take the values from splt_split_mode_options. Default is SPLT_OPTION_NORMAL_MODE
SPLT_OPT_TAGS | What tags to put in the output split files. Int option that can take the values from splt_tags_options. Default is SPLT_CURRENT_TAGS
SPLT_OPT_XING | For mp3 files, if we write the Xing header. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_TRUE
SPLT_OPT_CREATE_DIRS_FROM_FILENAMES | If this option is SPLT_TRUE, we create directories from the output filenames without parsing for illegal characters the output filenames. Otherwise, we parse for illegal characters the filenames and replace them with '_'. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_OUTPUT_FILENAMES | Defines how the output filenames are created. Int option that can take values from splt_output_filenames_options. Default is SPLT_OUTPUT_DEFAULT
SPLT_OPT_FRAME_MODE | For mp3 files, force to use the frame mode or not. The frame mode processes the file frame by frame and it is useful when splitting VBR (Variable Bit Rate) files. Frame mode provides higher precision but is slower. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_AUTO_ADJUST | If we use silence detection to auto-adjust splitpoints. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_INPUT_NOT_SEEKABLE | If the input is not seekable. This allows splitting mp3 streams which can be read only one time and can't be seeked. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_PARAM_NUMBER_TRACKS | The desired number of tracks when having a SPLT_OPTION_SILENCE_MODE split. Int option that can take positive integer values. 0 means that we split as many files we find. Default is SPLT_DEFAULT_PARAM_TRACKS
SPLT_OPT_PARAM_SHOTS | The desired number of shots when having a SPLT_OPTION_SILENCE_MODE or SPLT_OPTION_TRIM_SILENCE_MODE split or using the SPLT_OPT_AUTO_ADJUST option. Int option that can take positive integer values. It defines the number of shots to be found after the silence. Decrease this value if you need to split files having closer silence points. Default is SPLT_DEFAULT_PARAM_SHOTS
SPLT_OPT_PARAM_REMOVE_SILENCE | Used to remove silence between the split tracks when having a SPLT_OPTION_SILENCE_MODE split. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_PARAM_GAP | The time to auto-adjust before and after splitpoint when having the SPLT_OPT_AUTO_ADJUST option. Int option that can take positive integer values. Default is SPLT_DEFAULT_PARAM_GAP
SPLT_OPT_ENABLE_SILENCE_LOG | Enables or disables writing the log file containing splitpoints found with silence detection. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_FORCE_TAGS_VERSION | For mp3 files, tags version to be written in output files. Int option that can take the values 0, 1, 2 or 12. 0 is for 'same tags versions as the input file', 1 is for ID3v1, 2 for ID3v2 and 12 for both ID3v1 and ID3v2. Default is 0
SPLT_OPT_LENGTH_SPLIT_FILE_NUMBER | Number of files to be created when splitting by equal time length with SPLT_OPTION_LENGTH_MODE. Int option that can take positive values. Default is 1
SPLT_OPT_REPLACE_TAGS_IN_TAGS | Enables or disables replacing tags in tags. If set to SPLT_TRUE with an album 'myalbum_@t' and a title 'mysong' will result in album 'myalbum_mysong'. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_OVERLAP_TIME | Time to be added to each end splitpoint in order to overlap the resulting files (in hundreths of seconds). Long option that can take positive values. Default is 0
SPLT_OPT_SPLIT_TIME | Time of the output files for the SPLT_OPTION_TIME_MODE split (in hundreths of seconds). Long option that can take positive values. Default is 6000 (one minute)
SPLT_OPT_PARAM_THRESHOLD | The threshold level (dB) to be considered as silence. Threshold is used when having a SPLT_OPTION_SILENCE_MODE, SPLT_OPTION_TRIM_SILENCE_MODE or SPLT_OPT_AUTO_ADJUST option. Float option that can take values between -96 and 0. Default is SPLT_DEFAULT_PARAM_THRESHOLD
SPLT_OPT_PARAM_OFFSET | Offset of cutpoint inside the silence part when having a SPLT_OPTION_SILENCE_MODE or SPLT_OPT_AUTO_ADJUST option. Float option that can take values between -2 and 2. 0 is the begin of silence and 1 the end. Default is SPLT_DEFAULT_PARAM_OFFSET
SPLT_OPT_PARAM_MIN_LENGTH | Minimum number of silence seconds to be considered a valid splitpoint. All silences shorter than this value are discarded. Float option that can take positive float values. Default is SPLT_DEFAULT_PARAM_MINIMUM_LENGTH
SPLT_OPT_PARAM_MIN_TRACK_LENGTH | Minimum number of seconds to be considered a valid track. All tracks shorter than this value are discarded. Float option that can take positive float values. Default is SPLT_DEFAULT_PARAM_MINIMUM_TRACK_LENGTH
SPLT_OPT_PARAM_MIN_TRACK_JOIN | Minimum number of seconds to be considered a valid track. All tracks shorter than this value are joined with others. The difference between SPLT_OPT_PARAM_MIN_TRACK_LENGTH is that using this option, no part from the original file is lost. Float option that can take positive float values. Default is SPLT_DEFAULT_PARAM_MIN_TRACK_JOIN
SPLT_OPT_ARTIST_TAG_FORMAT | Output format of the artist extracted from filename when using SPLT_TAGS_FROM_FILENAME_REGEX. Int option that can take values as splt_str_format. Default is SPLT_NO_CONVERSION
SPLT_OPT_ALBUM_TAG_FORMAT | Output format of the album extracted from filename when using SPLT_TAGS_FROM_FILENAME_REGEX. Int option that can take values as splt_str_format. Default is SPLT_NO_CONVERSION
SPLT_OPT_TITLE_TAG_FORMAT | Output format of the title extracted from filename when using SPLT_TAGS_FROM_FILENAME_REGEX. Int option that can take values as splt_str_format. Default is SPLT_NO_CONVERSION
SPLT_OPT_COMMENT_TAG_FORMAT | Output format of the comment extracted from filename when using SPLT_TAGS_FROM_FILENAME_REGEX. Int option that can take values as splt_str_format. Default is SPLT_NO_CONVERSION
SPLT_OPT_REPLACE_UNDERSCORES_TAG_FORMAT | Replace underscores with space when setting tags from filename regex with SPLT_TAGS_FROM_FILENAME_REGEX. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_SET_FILE_FROM_CUE_IF_FILE_TAG_FOUND | When importing CUE files, sets the filename to split as the FILE CUE tag value if specified. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_KEEP_SILENCE_LEFT | When using the SPLT_OPT_PARAM_REMOVE_SILENCE, this option allows you to keep some number of seconds of silence from the beginning of the output file (end of the silence segment). Float option that can take positive values. Default is SPLT_DEFAULT_KEEP_SILENCE_LEFT
SPLT_OPT_KEEP_SILENCE_RIGHT | When using the SPLT_OPT_PARAM_REMOVE_SILENCE, this option allows you to keep some number of seconds of silence from the end of the output file (beginning of the silence segment). Float option that can take positive values. Default is SPLT_DEFAULT_KEEP_SILENCE_RIGHT
SPLT_OPT_CUE_SET_SPLITPOINT_NAMES_FROM_REM_NAME | When importing a cue file, use the REM NAME comment for each TRACK to set the splitpoint names instead of setting the splitpoint names from the tags. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_CUE_DISABLE_CUE_FILE_CREATED_MESSAGE | Output or not a message that the CUE file has been created. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_CUE_CDDB_ADD_TAGS_WITH_KEEP_ORIGINAL_TAGS | When adding cue or cddb tags, keep the option SPLT_TAGS_ORIGINAL. When enabling this option, mp3splt_read_original_tags must also be called. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE
SPLT_OPT_ID3V2_ENCODING | Defines the encoding of the ID3V2 tags. Int option that can take the values from splt_id3v2_encoding. Default is SPLT_ID3V2_UTF8
SPLT_OPT_INPUT_TAGS_ENCODING | Defines the encoding of the input tags - used only for generating ID3V2 tags. Int option that can take the values from splt_id3v2_encoding. Default is SPLT_ID3V2_UTF8
SPLT_OPT_TIME_MINIMUM_THEORETICAL_LENGTH | Defines the minimum theoretical time length to be created when using SPLT_OPTION_TIME_MODE. It is useful to avoid creating the last segment too small. Time unit is in hundreths of seconds. Long option that can take positive values. Default is 0.
SPLT_OPT_WARN_IF_NO_AUTO_ADJUST_FOUND | If SPLT_TRUE, raise a warning when no auto-adjust silence is found when using the SPLT_OPT_AUTO_ADJUST option. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE.
SPLT_OPT_STOP_IF_NO_AUTO_ADJUST_FOUND | If SPLT_TRUE, stop with error when no auto-adjust silence is found when using the SPLT_OPT_AUTO_ADJUST option. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE.
SPLT_OPT_DECODE_AND_WRITE_FLAC_MD5SUM_FOR_CREATED_FILES | If SPLT_TRUE, decode flac frames before writing them in the output file and compute the md5sum to be stored in the FLAC header - this option decreases the performance of the split because of the decoding process - it might be twice slower. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE.
SPLT_OPT_HANDLE_BIT_RESERVOIR | If SPLT_TRUE, handles bit-reservoir for gapless playback when splitting. It currently works only for mp3 files. Int option that can take the values SPLT_TRUE or SPLT_FALSE. Default is SPLT_FALSE.

Definition at line 312 of file mp3splt.h.

enum splt_split_mode_options

Split mode.

Possible values for the SPLT_OPT_SPLIT_MODE option.

Enumerator
SPLT_OPTION_NORMAL_MODE | Normal split mode - using splitpoints provided with mp3splt_append_splitpoint.
SPLT_OPTION_WRAP_MODE | Wrap split mode - split the files created with mp3wrap or albumwrap. To just find out the wrapped files, see mp3splt_get_wrap_files.
SPLT_OPTION_SILENCE_MODE | Silence detection split mode. To just find out the silence detection splitpoints, see mp3splt_set_silence_points.
SPLT_OPTION_TRIM_SILENCE_MODE | Trim silence detection split mode. To just find out the trim silence detection splitpoints, see mp3splt_set_trim_silence_points.
SPLT_OPTION_ERROR_MODE | Synchronisation error split mode (mp3 only). It is useful to split large file derivated from a concatenation of smaller files.
SPLT_OPTION_TIME_MODE | Create an indefinite number of smaller files with a fixed time length specified by SPLT_OPT_SPLIT_TIME.
SPLT_OPTION_LENGTH_MODE | Split in SPLT_OPT_LENGTH_SPLIT_FILE_NUMBER pieces of equal time length.

Definition at line 724 of file mp3splt.h.

enum splt_id3v2_encoding

Values for the SPLT_OPT_ID3V2_ENCODING.

Enumerator
SPLT_ID3V2_LATIN1 | Latin1 (ISO-8859-1) encoding for ID3v2 tags.
SPLT_ID3V2_UTF8 | UTF-8 encoding for ID3v2 tags.
SPLT_ID3V2_UTF16 | UTF-16 encoding for ID3v2 tags.

Definition at line 763 of file mp3splt.h.

enum splt_output_filenames_options

Values for the SPLT_OPT_OUTPUT_FILENAMES option.

Enumerator
SPLT_OUTPUT_FORMAT | Output filename format specified by mp3splt_set_oformat.
SPLT_OUTPUT_DEFAULT | The default output; depends of the type of the split. Some defaults are SPLT_DEFAULT_OUTPUT, SPLT_DEFAULT_CDDB_CUE_OUTPUT, SPLT_DEFAULT_SYNCERROR_OUTPUT, SPLT_DEFAULT_SILENCE_OUTPUT and SPLT_DEFAULT_TRIM_SILENCE_OUTPUT.
SPLT_OUTPUT_CUSTOM | The names of the splitpoints provided by mp3splt_append_splitpoint are used to generate the output filenames.

Definition at line 781 of file mp3splt.h.

enum splt_tags_options

Values for the SPLT_OPT_TAGS option.

Enumerator
SPLT_TAGS_ORIGINAL_FILE | Keep the tags of the original input file.
SPLT_CURRENT_TAGS | Keep the tags issued from CDDB, CUE, tracktype.org or set by the user with mp3splt_append_tags.
SPLT_NO_TAGS | Do not set any tags.
SPLT_TAGS_FROM_FILENAME_REGEX | Sets tags from filename using regular expression provided by mp3splt_set_input_filename_regex.

Definition at line 845 of file mp3splt.h.

enum splt_str_format

Values for SPLT_OPT_ARTIST_TAG_FORMAT, SPLT_OPT_ALBUM_TAG_FORMAT, SPLT_OPT_TITLE_TAG_FORMAT and SPLT_OPT_COMMENT_TAG_FORMAT when using SPLT_TAGS_FROM_FILENAME_REGEX.

Enumerator
SPLT_NO_CONVERSION | Keep the input "as is" without further change.
SPLT_TO_LOWERCASE | Convert all characters of the input to lowercase.
SPLT_TO_UPPERCASE | Convert all characters of the input to uppercase.
SPLT_TO_FIRST_UPPERCASE | Convert just the first character to uppercase.
SPLT_TO_WORD_FIRST_UPPERCASE | Convert the first character of each word to uppercase.

Definition at line 896 of file mp3splt.h.

## Function Documentation

splt_code mp3splt_set_int_option | ( | splt_state * | state,
|  | splt_options | option,
|  | int | value
| ) |  |

Sets the value of an int option in the `state`.

Parameters

  [in] | state | Main state.
  [in] | option | Target option from splt_options.
  [in] | value | Value for the `option`.

Returns
  Possible error.

splt_code mp3splt_set_long_option | ( | splt_state * | state,
|  | splt_options | option,
|  | long | value
| ) |  |

Sets the value of a long option in the `state`.

Parameters

  [in] | state | Main state.
  [in] | option | Target option from splt_options.
  [in] | value | Value for the `option`.

Returns
  Possible error.

splt_code mp3splt_set_float_option | ( | splt_state * | state,
|  | splt_options | option,
|  | float | value
| ) |  |

Sets the value of a float option in the `state`.

Parameters

  [in] | state | Main state.
  [in] | option | Target option from splt_options.
  [in] | value | Value for the `option`.

Returns
  Possible error.

int mp3splt_get_int_option | ( | splt_state * | state,
|  | splt_options | option,
|  | splt_code * | error
| ) |  |

Returns the value of an int option from the `state`.

Parameters

  [in] | state | Main state.
  [in] | option | Target option from splt_options.
  [out] | error | Possible error; can be NULL.

Returns
  Option value

long mp3splt_get_long_option | ( | splt_state * | state,
|  | splt_options | option,
|  | splt_code * | error
| ) |  |

Returns the value of a long option from the `state`.

Parameters

  [in] | state | Main state.
  [in] | option | Target option from splt_options.
  [out] | error | Possible error; can be NULL.

Returns
  Option value

float mp3splt_get_float_option | ( | splt_state * | state,
|  | splt_options | option,
|  | splt_code * | error
| ) |  |

Returns the value of a float option from the `state`.

Parameters

  [in] | state | Main state.
  [in] | option | Target option from splt_options.
  [out] | error | Possible error; can be NULL.

Returns
  Option value

splt_code mp3splt_set_oformat | ( | splt_state * | state,
|  | const char * | format
| ) |  |

Set the output format when using SPLT_OUTPUT_FORMAT.

Parameters

  [in] | state | Main state.
  [in] | format | Format of the output files.

Returns
  Possible error.